[Fixed] New server, configure complaining about LUA...

Post Reply
altalus
Posts: 136
Joined: Wed Nov 14, 2012 8:31 pm
Location: Montreal Qc, CAN

[Fixed] New server, configure complaining about LUA...

Post by altalus » Tue Aug 25, 2015 12:20 am

Code: Select all

./configure: line 5025: syntax error near unexpected token `LUA,'
./configure: line 5025: `PKG_CHECK_MODULES(LUA, luajit, , PKG_CHECK_MODULES(LUA, lua5.1 >= 0.25))'
Now I installed liblua5.1-0-dev, liblua5.1-0, luajit-5.1-dev but still seems to have the issue...
Last edited by altalus on Tue Aug 25, 2015 10:51 pm, edited 1 time in total.

User avatar
kjLotus
Lead Developer
Posts: 1813
Joined: Sun Jul 22, 2012 2:16 pm

Re: New server, configure complaining about LUA...

Post by kjLotus » Tue Aug 25, 2015 12:24 am

distro?

(it's not broken, it's building on the build box, so it's probably something on your server)

altalus
Posts: 136
Joined: Wed Nov 14, 2012 8:31 pm
Location: Montreal Qc, CAN

Re: New server, configure complaining about LUA...

Post by altalus » Tue Aug 25, 2015 12:35 am

I'm pretty sure it is my server missing something, simply not finding it :)

Ubuntu 14.10.

altalus
Posts: 136
Joined: Wed Nov 14, 2012 8:31 pm
Location: Montreal Qc, CAN

Re: New server, configure complaining about LUA...

Post by altalus » Tue Aug 25, 2015 12:26 pm

In case this can help...

Code: Select all

guillaume@hades:~/Vejiitasei$ sudo dpkg -l "*lua*"
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name           Version      Architecture Description
+++-==============-============-============-=================================
ii  liblua5.1-0:am 5.1.5-5ubunt amd64        Shared library for the Lua interp
ii  liblua5.1-0-db 5.1.5-5ubunt amd64        Debug symbols for the Lua shared
ii  liblua5.1-0-de 5.1.5-5ubunt amd64        Development files for the Lua lan
un  liblua5.1-dev  <none>       <none>       (no description available)
ii  libluajit-5.1- 2.0.3+dfsg-3 amd64        Just in time compiler for Lua - l
ii  libluajit-5.1- 2.0.3+dfsg-3 all          Just in time compiler for Lua - c
ii  libluajit-5.1- 2.0.3+dfsg-3 amd64        Just in time compiler for Lua - d
un  lua            <none>       <none>       (no description available)
ii  lua5.1         5.1.5-5ubunt amd64        Simple, extensible, embeddable pr
ii  luajit         2.0.3+dfsg-3 amd64        Just in time compiler for Lua pro


altalus
Posts: 136
Joined: Wed Nov 14, 2012 8:31 pm
Location: Montreal Qc, CAN

Re: New server, configure complaining about LUA...

Post by altalus » Tue Aug 25, 2015 10:51 pm

Ok... I have no idea what I have done but after a few package tests I was able to get the autogen to redo a valid configure and now it compile... figures lol :)

Metalfiiish
Developer
Posts: 176
Joined: Tue Jul 31, 2012 7:21 am

Re: [Fixed] New server, configure complaining about LUA...

Post by Metalfiiish » Wed Sep 02, 2015 8:33 pm

Had this same issue. Fixed by installing:

apt-get install liblua5.1-0-dev

Then running autogen again.

I only had:
apt-get install libluajit-5.1-dev
apt-get install lua5.1

Post Reply